Skip to main content
GET
/
v1
/
actions
/
statuses
Get action statuses
curl --request GET \
  --url https://staging.api.us.aptlydone.com/actions/v1/actions/statuses \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:27:47.328Z",
  "message": "Success",
  "data": [
    {
      "id": "0991e896-9be4-48c2-a188-cbf27956b6e2",
      "actionStatusName": "In Progress",
      "isEnabled": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

isEnabled
boolean

Status type.

Example:

true

Response

200 - application/json

Action statuses retrieved successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:27:47.328Z"

message
string
required

Response message

Example:

"Success"

data
object[]
required

Response data